## org.eclipse.datatools.enablement.postgresql.containment
Class PostgresAuthorizationIdContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.connectivity.sqm.internal.core.containment.AuthorizationIdContainmentProvider
              org.eclipse.datatools.enablement.postgresql.containment.PostgresAuthorizationIdContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class PostgresAuthorizationIdContainmentProvider

extends org.eclipse.datatools.connectivity.sqm.internal.core.containment.AuthorizationIdContainmentProvider

A containment provider for PostgreSQL authorization identifiers.

Author:
  pierre.queinnec@zenika.com

Constructor Summary
`PostgresAuthorizationIdContainmentProvider()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.internal.core.containment.AuthorizationIdContainmentProvider
`getContainedElements, getContainer, getContainmentFeature, getGroupId`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
`isDisplayableElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresAuthorizationIdContainmentProvider

    public PostgresAuthorizationIdContainmentProvider()